## Tcl8.6.2/Tk8.6.2 Documentation > Tcl Commands, version 8.6.2 > lreverse

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

lreverse — Reverse the order of a list

### SYNOPSIS

lreverse list

### DESCRIPTION

The lreverse command returns a list that has the same elements as its input list, list, except with the elements in the reverse order.

### EXAMPLES

    lreverse {a a b c}
          → c b a a
    lreverse {a b {c d} e f}
          → f e {c d} b a

### SEE ALSO

list, lsearch, lsort

### KEYWORDS

element, list, reverse
Copyright © 2006 by Donal K. Fellows. All rights reserved.